Browser Requirements

The following table identifies the minimum required version for web browsers supported by the AccuRev Web UI:

Note: Mac users should use Mozilla Firefox.
Note: Adobe Flash Player plug-in is also required.

Generally speaking, we recommend that you use current web browser versions as they are updated frequently and may address issues unrelated to AccuRev that you experience when using the AccuRev Web UI.